import request from '@/utils/request'


/* 运行报表 */
export function chartInfo(params) {
    return request({
        url: '/device/chartInfo',
        method: 'post',
        params
    })
}
/* 任务管理 */
export function jobinfoList(data) {
    return request({
        url: '/device/jobinfo/pageList',
        method: 'post',
        data
    })
}
// 执行一次
export function triggerJobinfo(data) {
    return request({
        url: '/device/jobinfo/trigger',
        method: 'post',
        data
    })
}
// 查询节点
export function loadByIdJobinfo(data) {
    return request({
        url: '/device/jobgroup/loadById',
        method: 'post',
        data
    })
}
// 下次执行时间
export function nextTriggerTime(data) {
    return request({
        url: '/device/jobinfo/nextTriggerTime',
        method: 'post',
        data
    })
}
// 启动
export function start(data) {
    return request({
        url: '/device/jobinfo/start',
        method: 'post',
        data
    })
}
// 停止
export function stop(data) {
    return request({
        url: '/device/jobinfo/stop',
        method: 'post',
        data
    })
}
// 删除
export function remove(data) {
    return request({
        url: '/device/jobinfo/remove',
        method: 'post',
        data
    })
}
// 新增
export function add(data) {
    return request({
        url: '/device/jobinfo/add',
        method: 'post',
        data
    })
}


/* 调度日志 */
export function joblogList(data) {
    return request({
        url: '/device/joblog/pageList',
        method: 'post',
        data
    })
}

/* 执行器管理 */
export function jobgroupList(data) {
    return request({
        url: '/device/jobgroup/pageList',
        method: 'post',
        data
    })
}
// 新增执行器
export function addJobgroup(data) {
    return request({
        url: '/device/jobgroup/save',
        method: 'post',
        data
    })
}
// 编辑执行器
export function updateJobgroup(data) {
    return request({
        url: '/device/jobgroup/update',
        method: 'post',
        data
    })
}
// 删除执行器
export function removeJobgroup(data) {
    return request({
        url: '/device/jobgroup/remove',
        method: 'post',
        data
    })
}